Install Tekkit

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (Tekkit) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select Tekkit from the list on the left. The launcher will handle everything else!

Tekkit Version 1.2.9i

created by sct on Minecraft 1.6.4 using Technic Solder
You must be logged in to comment. Click here to register a new account or log in.
Do I use this for single player or somehing else. I am new
DJOS420 5 years ago
It can be either singleplayer or multiplayer. There is a server download on this page.
Posted by LasaBir 5 years ago
Hi i tink i have played this before. I realy need tekkit
Zondyz 5 years ago
Pack is so buggy it's literally unplayable now. I just spent 40 minutes breaking and re-placing a wireless redstone receiver thatt absolutely refuses to emit signal no matter what the transmitter on the same frequency says, where I place them, or how many times I break, reset, and re-tune them. Unbelievable there's absolutely no response to anything, including the age old "why no updates" from the flagship pack of this site and launcher. Unreal.
mcorrie 5 years ago
Sorry that that doesn't work! Sorry to say, but quite a few things in this modpack don't work. Some mods weren't finished, others are just buggy. Since the version of Minecraft for this modpack is so old, all of the mods are going to be out of date with no one maintaining them. It would be nice if some of these things were fixed, but lets be real: they aren't going to be fixed. Sad to say, but if you are trying to do something and it doesn't work because a mod is broken, you are going to have to find some other way to do it.
Posted by LasaBir 5 years ago
Caribbean tides server is awesome omg .
bonsssss 5 years ago
Hello. Nem birom elinditani szerver inditott enek mi lehet a problémája?
FoggyMercury944 5 years ago
i can not download the modpack
SpyroGamesNl 5 years ago
What version on the game is best for this modpack?
AD04 5 years ago
how to run the server?
6HL 5 years ago
Hello, I was wondering how i can add plugins to my server? Can someone help me?
gvamaral 5 years ago
Hello, I just have a problem with disappearing items from player inventory (Power fist). I have no external plugins. Can somebody help please?
Emerry 5 years ago
This modpack is amazing. Would love to see it updated to 1.7.10. I still play Tekkit 1.6.4 up to date, since it's really an amazing Tech pack, but newer mods improves the experience. Do consider. If reading this, update the mods to 1.7.10. Don't remove any mods, the pack is perfect.
TheUnknown54 5 years ago
It needs OpenBlocks and EnderIO, and could maybe-almost-kinda lose the stub of EE3 if it weren't for how greedy for Ender Pearls every other mods' recipes are. And there's no excuse for not updating the mods in 2+ years, as far as I'm concerned. Even if you kept 1.7, there are newer (less buggy, more feature-rich) versions of the existing mods in here, for that version of Minecraft. Hell, Extra Utilities alone has half a dozen important, completely non-functioning recipes that are fixed in the very next version... but this pack has been soldiering along like that with half that mod just plain broken, year after bloody year. It's depressing.
Posted by mcorrie 5 years ago
They need to add AE2
Posted by DJOS420 5 years ago
I can't play the game because of an unknown reason. I hit install and waited and hit play, but then it acted like it was about to go on the game but it kicked me off with no reason why. Any one got help?
brickhead75 5 years ago
this mod pack is not included with my launcher :/
Xelbac 5 years ago
Is there a reason enderio is not in this modpack? I like it a lot and it is quite useful for automation with AE.
patytseng 6 years ago
You do realize this modpack is over years old?
Posted by TheUnknown54 5 years ago
So I just downloaded this and my skin is not showing at all. Even in singleplayer, the skin is still Steve. Anyone have a fix for this?
aquamancer12 6 years ago
It's because Minecraft doesn't do 1.6.4 servers anymore, since they're old. It'll be Steve for everyone everywhere.
Posted by TheUnknown54 5 years ago
i don´t know why but, on my win 10 won´t started what i must do, i really don´t know :/
KRAUSTV242 6 years ago
How can i find or make electrum ingot?
Hyp 6 years ago
gold + silver i believe
Posted by patytseng 6 years ago
Use NEI to check crafting recipes. :)
Posted by TheUnknown54 5 years ago
Could not reserve enough space for 3145728KB object heap HELP!!!
riposton 6 years ago
You need to assign less ram for your Java, rightklick on your launch.bat file and change the NUMBERS in -> "java -Xmx3G -Xms2G -jar Tekkit.jar nogui"... Xmx3G means maximum 3Gb ram, Xms2G means 2 Gb minimum. Set those numbers to fx. 2G or 2000M... or 1500M...
Posted by eXeNewter 6 years ago
How do I add and remove mods in this?
Starr_Destroyer 6 years ago
Hold "windows key" and "R" simultaneously to bring up "Run" and then type %appdata% and press OK. Find '.technic' then go to 'modpacks' then 'tekkitmain' then you just need to go into the 'mods' folder. Each .jar/.zip file is a mod. You can then search for the mod you want to remove/update or you can drag and drop the mod you want into the folder. If you need to change configs, find the 'config' folder in the 'tekkitmain' folder. You can also access these folders by pressing "open resourcepack folder" on your resourcepack menu and then go up a folder to reach 'tekkitmain'
Posted by TheModdedSyrociate 6 years ago
I made a modpack but none of the mods will load, help?
JECinTOR 6 years ago
Do you have a mod-loader within the pack? If not, I recommend installing the forge universal jarfile and placing it in the bin folder in your modpack. Make sure you rename it to modpack.jar. If you have a modloader, make sure you have all of the prerequisites for you mods. Tinker's Construct needs mantle ECT...
Posted by TheModdedSyrociate 6 years ago

Latest Update

Lumy Skin Patch has been updated to 1.0.13 so skins should be working again. Existing modpack builds were updated to the fixed version.